This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 134053 - Evolution is very unresponsive on slow IMAP connections
Evolution is very unresponsive on slow IMAP connections
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks: FC5Target
  Show dependency treegraph
 
Reported: 2004-09-29 06:00 EDT by Xander D Harkness
Modified: 2016-06-07 18:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 09:25:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allow checking mail only in active folders (6.27 KB, patch)
2004-10-17 16:56 EDT, David Woodhouse
no flags Details | Diff
with POP download the mail is slow to download (1.75 KB, text/plain)
2005-06-10 20:03 EDT, Jim Cornette
no flags Details
with POP download the mail is slow to download (1.75 KB, text/x-log)
2005-06-10 20:03 EDT, Jim Cornette
no flags Details

  None (edit)
Description Xander D Harkness 2004-09-29 06:00:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
I have two IMAP accounts, one is normally over a slow connection (dial up modem).  On collecting a 900k file evolution will routinely hang.

What seems very unresponsive, compared to other mail clients, is if I click on the faster (local) account, the evolution mail windows will not alter and wait for the 900k mail to arrive.  It will only change, when the mail has been collected or timed out.

This prevents the user multi-tasking, i.e. reading or composing mail while the larger mail is collected in the background.

It would be helpful if there was some feedback or progress bar to tell you how long you will have to wait.

I have this problem on previous versions of evolution too.

Version-Release number of selected component (if applicable):
evolution-2.0.0-2

How reproducible:
Always

Steps to Reproduce:
1.Open a 1Mb mail on a slow connection
2.Try doing something else, while the mail is downloading
3.The window only changes when the download is complete
    

Actual Results:  The window will 'hang' until the mail is downloaded and work may then continue

Expected Results:  Evolution should remain responsive, it should show cached emails while waiting for others to download.

Additional info:
Comment 1 David Woodhouse 2004-10-17 14:42:53 EDT
There are more problems than this. If a mail has a 1MB attachment, evo
should be showing the _text_ part even before the attachment -- and
possibly shouldn't even be downloading the attachment at all if the
user doesn't ask for it.

You'll also find that Evolution goes off checking all folders, even
those marked inactive, for new mail in preference to fetching the
mails you're clicking on. I recomment running evolution from a
terminal with the CAMEL_VERBOSE_DEBUG environment variable set. It
won't make it any faster but at least you'll be able to see what it's
doing when it stops responding for many minutes at a time.
Comment 2 David Woodhouse 2004-10-17 16:56:53 EDT
Created attachment 105356 [details]
Allow checking mail only in active folders

This patch helps with one of the problems on a slow server. It (configurably)
stops Evolution from checking _all_ folders for mail before fetching the mail
you click on. Now you can configure it to check mail only in _active_ folders.

It could do with the configuration option being made slightly more
user-friendly. A choice of 'Check for mail in: All folders / Subscribed folders
/ INBOX only' or something like that would be better.
Comment 3 Jim Cornette 2005-06-10 20:03:11 EDT
Created attachment 115319 [details]
with POP download the mail is slow to download
Comment 4 Jim Cornette 2005-06-10 20:03:53 EDT
Created attachment 115320 [details]
with POP download the mail is slow to download
Comment 5 Dave Malcolm 2005-08-23 21:38:57 EDT
Thanks for these reports; I'm sorry this bug has gone for so long without activity.

Unfortunately, attachment 115319 [details] and attachment 115320 [details] don't contain any
additional useful information for debugging this, so I'm going to mark these as
obsolete.

Evolution's IMAP code has been substantially reworked, and ought to be rather
faster.   Is this still an issue in rawhide?

Jim: are you still experiencing problems with POP download speed?  If so, please
can you file a separate bug abnout this.  Thanks.

Comment 6 John Thacker 2006-05-05 09:25:28 EDT
Closing due to lack of response.

Note You need to log in before you can comment on or make changes to this bug.